View Issue Details

IDProjectCategoryView StatusLast Update
0013713mantisbtbugtrackerpublic2015-03-16 19:27
ReporterdregadAssigned Todregad 
PrioritynormalSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.9 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0013713: Upgrade ADOdb library to latest version
Description

A new version of ADOdb (5.14) has been released on 08-Sep-2011.

The versions currently bundled with mantis are quite old:

  • 1.3.x/master is on 5.11 (unpatched)
  • 1.2.x is on a MantisBT-customized 5.10

The new version brings several fixes and enhancements for Oracle (oci8) and MS SQL Server (mssqlnative)

Additional Information

ADOdb release notes

5.11 - http://phplens.com/lens/lensforum/msgs.php?id=18415
5.12 - http://phplens.com/lens/lensforum/msgs.php?id=18908
5.13 - http://phplens.com/lens/lensforum/msgs.php?id=18942
5.14 - http://phplens.com/lens/lensforum/msgs.php?id=18959
5.15 - http://phplens.com/lens/lensforum/msgs.php?id=19067
5.16 - http://phplens.com/lens/lensforum/msgs.php?id=19136
5.17 - http://phplens.com/lens/lensforum/msgs.php?id=19169
5.18 - http://phplens.com/lens/lensforum/msgs.php?id=19268

TagsNo tags attached.

Relationships

related to 0009314 closeddregad ADODB GetRowAssoc does not work 
related to 0011560 closeddhx adodb warning - check.php 
parent of 0013438 closeddregad adodb: Fatal error: Call to a member function FetchRow() on a non-object 
parent of 0012837 closeddregad Download Attachment doesn't work; Get some header information or Jabber 
parent of 0012150 closeddregad Mantis 1.2.1 Install Error using Oracle db 
related to 0011776 closeddregad Support for Sql Server Native driver (sqlsrv) 
related to 0012478 closeddregad Installation with Oracle fails 
related to 0014398 closeddregad Support for PostgreSQL broken in 1.3 
related to 0014466 closeddregad New Signup user has protected account 
related to 0015427 closeddregad Deploy mantis with MSSQL and UTF8 

Activities

dhx

dhx

2012-01-06 23:22

reporter   ~0030836

Last edited: 2012-01-24 09:57

View 2 revisions

It's worth noting that there is a long discussion on the mantisbt-dev mailing list discussing this issue [1].

In particular, my message "Re: [mantisbt-dev] Patching ADOdb library ?" dated Sat, 07 Jan 2012 14:28:26 +1100 [2] goes into detail about why this upgrade to 5.14 is going to be difficult.

[1] http://thread.gmane.org/gmane.comp.bug-tracking.mantis.devel/3652
[2] http://article.gmane.org/gmane.comp.bug-tracking.mantis.devel/3736

dregad - edited to add gmane links

dregad

dregad

2012-01-24 09:33

developer   ~0031019

Version 5.15 released on 19-Jan-2012

dregad

dregad

2012-03-30 03:48

developer   ~0031568

Version 5.16 released on 26-Mar-2012

dregad

dregad

2012-05-25 07:03

developer   ~0031905

Version 5.17 released on 17-May-2012.

Fixes 0009314 and 0013438

dregad

dregad

2012-06-21 12:24

developer   ~0032135

5.17 contains several issues which prevent MantisBT from working with PostgreSQL, see 0014398 and more specifically 0014398:0032134 for details and references to upstream bug reports. Hopefully these can be included in next release 5.18.

Work-in-progress for ADOdb upgrade on master (1.3.x) branch:
https://github.com/dregad/mantisbt/tree/adodb-upg-master

dregad

dregad

2012-09-04 18:31

developer   ~0032793

Version 5.18 released on 04-Sep-2012.

Contains several fixes for PostgreSQL support which hopefully will finally allow us to bundle an unpatched library with MantisBT. I'll run some tests over the next few days.

grangeway

grangeway

2014-05-16 14:48

reporter   ~0040309

MSSQL/Oracle support is currently known broken. We are going to be replacing the DB Layer in Mantis to fix this properly after the next release.

I'd strongly advise using MYSQL for now.

The new DB layer contains the appropriate fixes for MSSQL/Oracle Support.

Related Changesets

MantisBT: master b086fe40

2013-06-20 11:19:32

dregad

Details Diff
Update ADOdb to v5.18a (released 6 Sep 2012)

Changes vs upstream release[1]:

- removed following dirs and files:
contrib/ cute_icons_for_site/ docs/ pear/ tests/ server.php
- converted CRLF to LF
- trimmed trailing whitespace

[1] http://phplens.com/lens/lensforum/msgs.php?id=19268

Fixes 0013713, 0014398
mod - library/adodb/adodb-active-record.inc.php Diff File
mod - library/adodb/adodb-csvlib.inc.php Diff File
mod - library/adodb/adodb-datadict.inc.php Diff File
mod - library/adodb/adodb-error.inc.php Diff File
mod - library/adodb/adodb-errorhandler.inc.php Diff File
mod - library/adodb/adodb-errorpear.inc.php Diff File
mod - library/adodb/adodb-exceptions.inc.php Diff File
mod - library/adodb/adodb-iterator.inc.php Diff File
mod - library/adodb/adodb-lib.inc.php Diff File
mod - library/adodb/adodb-memcache.lib.inc.php Diff File
mod - library/adodb/adodb-pager.inc.php Diff File
mod - library/adodb/adodb-pear.inc.php Diff File
mod - library/adodb/adodb-perf.inc.php Diff File
mod - library/adodb/adodb-php4.inc.php Diff File
mod - library/adodb/adodb.inc.php Diff File
mod - library/adodb/datadict/datadict-access.inc.php Diff File
mod - library/adodb/datadict/datadict-db2.inc.php Diff File
mod - library/adodb/datadict/datadict-firebird.inc.php Diff File
mod - library/adodb/datadict/datadict-generic.inc.php Diff File
mod - library/adodb/datadict/datadict-ibase.inc.php Diff File
mod - library/adodb/datadict/datadict-informix.inc.php Diff File
mod - library/adodb/datadict/datadict-mssql.inc.php Diff File
mod - library/adodb/datadict/datadict-mssqlnative.inc.php Diff File
mod - library/adodb/datadict/datadict-mysql.inc.php Diff File
mod - library/adodb/datadict/datadict-oci8.inc.php Diff File
mod - library/adodb/datadict/datadict-postgres.inc.php Diff File
mod - library/adodb/datadict/datadict-sqlite.inc.php Diff File
mod - library/adodb/datadict/datadict-sybase.inc.php Diff File
mod - library/adodb/drivers/adodb-access.inc.php Diff File
mod - library/adodb/drivers/adodb-ado.inc.php Diff File
mod - library/adodb/drivers/adodb-ado5.inc.php Diff File
mod - library/adodb/drivers/adodb-ado_access.inc.php Diff File
mod - library/adodb/drivers/adodb-ado_mssql.inc.php Diff File
mod - library/adodb/drivers/adodb-borland_ibase.inc.php Diff File
mod - library/adodb/drivers/adodb-csv.inc.php Diff File
mod - library/adodb/drivers/adodb-db2.inc.php Diff File
mod - library/adodb/drivers/adodb-db2oci.inc.php Diff File
mod - library/adodb/drivers/adodb-db2ora.inc.php Diff File
mod - library/adodb/drivers/adodb-fbsql.inc.php Diff File
mod - library/adodb/drivers/adodb-firebird.inc.php Diff File
mod - library/adodb/drivers/adodb-ibase.inc.php Diff File
mod - library/adodb/drivers/adodb-informix.inc.php Diff File
mod - library/adodb/drivers/adodb-informix72.inc.php Diff File
mod - library/adodb/drivers/adodb-ldap.inc.php Diff File
mod - library/adodb/drivers/adodb-mssql.inc.php Diff File
mod - library/adodb/drivers/adodb-mssqlnative.inc.php Diff File
mod - library/adodb/drivers/adodb-mssqlpo.inc.php Diff File
mod - library/adodb/drivers/adodb-mysql.inc.php Diff File
mod - library/adodb/drivers/adodb-mysqli.inc.php Diff File
mod - library/adodb/drivers/adodb-mysqlpo.inc.php Diff File
mod - library/adodb/drivers/adodb-mysqlt.inc.php Diff File
mod - library/adodb/drivers/adodb-netezza.inc.php Diff File
mod - library/adodb/drivers/adodb-oci8.inc.php Diff File
mod - library/adodb/drivers/adodb-oci805.inc.php Diff File
mod - library/adodb/drivers/adodb-oci8po.inc.php Diff File
mod - library/adodb/drivers/adodb-odbc.inc.php Diff File
mod - library/adodb/drivers/adodb-odbc_db2.inc.php Diff File
mod - library/adodb/drivers/adodb-odbc_mssql.inc.php Diff File
mod - library/adodb/drivers/adodb-odbc_oracle.inc.php Diff File
mod - library/adodb/drivers/adodb-odbtp.inc.php Diff File
mod - library/adodb/drivers/adodb-odbtp_unicode.inc.php Diff File
mod - library/adodb/drivers/adodb-oracle.inc.php Diff File
mod - library/adodb/drivers/adodb-pdo.inc.php Diff File
mod - library/adodb/drivers/adodb-pdo_mssql.inc.php Diff File
mod - library/adodb/drivers/adodb-pdo_mysql.inc.php Diff File
mod - library/adodb/drivers/adodb-pdo_oci.inc.php Diff File
mod - library/adodb/drivers/adodb-pdo_pgsql.inc.php Diff File
mod - library/adodb/drivers/adodb-pdo_sqlite.inc.php Diff File
mod - library/adodb/drivers/adodb-postgres.inc.php Diff File
mod - library/adodb/drivers/adodb-postgres64.inc.php Diff File
mod - library/adodb/drivers/adodb-postgres7.inc.php Diff File
mod - library/adodb/drivers/adodb-postgres8.inc.php Diff File
add - library/adodb/drivers/adodb-postgres9.inc.php Diff File
mod - library/adodb/drivers/adodb-proxy.inc.php Diff File
mod - library/adodb/drivers/adodb-sapdb.inc.php Diff File
mod - library/adodb/drivers/adodb-sqlanywhere.inc.php Diff File
mod - library/adodb/drivers/adodb-sqlite.inc.php Diff File
mod - library/adodb/drivers/adodb-sqlite3.inc.php Diff File
mod - library/adodb/drivers/adodb-sqlitepo.inc.php Diff File
mod - library/adodb/drivers/adodb-sybase.inc.php Diff File
mod - library/adodb/drivers/adodb-sybase_ase.inc.php Diff File
mod - library/adodb/drivers/adodb-vfp.inc.php Diff File
mod - library/adodb/lang/adodb-bgutf8.inc.php Diff File
mod - library/adodb/lang/adodb-en.inc.php Diff File
mod - library/adodb/perf/perf-db2.inc.php Diff File
mod - library/adodb/perf/perf-informix.inc.php Diff File
mod - library/adodb/perf/perf-mssql.inc.php Diff File
mod - library/adodb/perf/perf-mssqlnative.inc.php Diff File
mod - library/adodb/perf/perf-mysql.inc.php Diff File
mod - library/adodb/perf/perf-oci8.inc.php Diff File
mod - library/adodb/perf/perf-postgres.inc.php Diff File
mod - library/adodb/session/adodb-compress-bzip2.php Diff File
mod - library/adodb/session/adodb-compress-gzip.php Diff File
mod - library/adodb/session/adodb-cryptsession.php Diff File
mod - library/adodb/session/adodb-cryptsession2.php Diff File
mod - library/adodb/session/adodb-encrypt-mcrypt.php Diff File
mod - library/adodb/session/adodb-encrypt-md5.php Diff File
mod - library/adodb/session/adodb-encrypt-secret.php Diff File
mod - library/adodb/session/adodb-session-clob.php Diff File
mod - library/adodb/session/adodb-session-clob2.php Diff File
mod - library/adodb/session/adodb-session.php Diff File
mod - library/adodb/session/adodb-session2.php Diff File
mod - library/adodb/session/old/adodb-cryptsession.php Diff File

Issue History

Date Modified Username Field Change
2012-01-03 05:23 dregad New Issue
2012-01-03 05:24 dregad Relationship added related to 0011776
2012-01-06 23:22 dhx Note Added: 0030836
2012-01-24 09:33 dregad Note Added: 0031019
2012-01-24 09:33 dregad Summary Upgrade ADOdb library to version 5.14 => Upgrade ADOdb library to latest version
2012-01-24 09:33 dregad Additional Information Updated View Revisions
2012-01-24 09:57 dregad Note Edited: 0030836 View Revisions
2012-03-30 03:48 dregad Note Added: 0031568
2012-03-30 03:48 dregad Additional Information Updated View Revisions
2012-03-30 04:14 dregad Relationship added related to 0012478
2012-03-30 04:21 dregad Relationship added related to 0009314
2012-05-25 06:58 dregad Relationship added related to 0013438
2012-05-25 07:01 dregad Relationship replaced parent of 0013438
2012-05-25 07:02 dregad Relationship replaced parent of 0009314
2012-05-25 07:03 dregad Additional Information Updated View Revisions
2012-05-25 07:03 dregad Note Added: 0031905
2012-06-20 07:51 dregad Relationship added related to 0014398
2012-06-21 12:24 dregad Note Added: 0032135
2012-07-10 01:30 atrol Relationship added related to 0014466
2012-08-07 08:16 dregad Relationship added related to 0011560
2012-08-08 05:42 dregad Relationship added parent of 0012837
2012-09-04 18:31 dregad Note Added: 0032793
2012-09-04 18:32 dregad Additional Information Updated View Revisions
2013-01-28 04:29 dregad Relationship added related to 0015427
2013-06-20 05:34 dregad Assigned To => dregad
2013-06-20 05:34 dregad Severity minor => major
2013-06-20 05:34 dregad Status new => assigned
2013-06-20 05:34 dregad Target Version => 1.3.0-beta.1
2013-06-20 05:34 dregad Relationship replaced related to 0009314
2013-10-11 23:23 dregad Changeset attached => MantisBT master b086fe40
2013-10-11 23:23 dregad Status assigned => resolved
2013-10-11 23:23 dregad Resolution open => fixed
2013-10-11 23:23 dregad Fixed in Version => 1.3.0-beta.1
2014-05-13 06:59 dregad Changeset attached => MantisBT adodb 5c568d2e
2014-05-13 07:03 dregad Changeset removed MantisBT adodb 5c568d2e =>
2014-05-16 14:48 grangeway Note Added: 0040309
2014-12-08 00:34 vboctor Status resolved => closed
2015-03-16 19:27 dregad Relationship added parent of 0012150